POST

/api/v1/smart_trades/:id/set_note

Permission: SMART_TRADES_WRITESecurity: SIGNED

Attaches or updates a custom text note for an existing SmartTrade. Notes are useful for logging strategy reasons, tracking trade conditions, or annotating bot-driven actions.

Path Parameter

idinteger required

Unique Quentrade ID for this SmartTrade entity.

Body Parameters

notestring required
minlength: 1maxlength: 300

Custom text note for this SmartTrade entity. Limited to a maximum of 300 characters.

Response Parameters

If successful, the response includes an updated copy of the SmartTrade entity with the updated note field.

Example Request

set_note_request.json
POST /api/v1/smart_trades/:id/set_note
{
  "note": "You can add an any note to an existing SmartTrade, limited to 300 characters."
}

Example Responses

Returns HTTP 201 Created on success, 400 Bad Request on invalid payload or length > 300 characters, 401 Unauthorized if authentication fails, or 404 Not Found if ID is invalid.

set_note_201.json
201 Created
{
  "id": 12345678,
  "account": {
    "id": 32402783,
    "type": "binance_us",
    "name": "My Binance US",
    "market": "Binance US Spot",
    "link": "/accounts/32402783"
  },
  "pair": "USDT_DOGE",
  "instant": false,
  "status": {
    "type": "waiting_position",
    "basic_type": "waiting_position",
    "title": "Pending Position Opened"
  },
  "leverage": {
    "enabled": false
  },
  "position": {
    "type": "buy",
    "editable": false,
    "units": {
      "value": "15.0",
      "editable": false
    },
    "price": {
      "value": "0.10664",
      "value_without_commission": "0.10664",
      "editable": true
    },
    "total": {
      "value": "1.5996"
    },
    "order_type": "limit",
    "status": {
      "type": "order_placed",
      "basic_type": "order_placed",
      "title": "Placed"
    }
  },
  "take_profit": {
    "enabled": true,
    "price_type": "value",
    "steps": [
      {
        "id": 1006258048,
        "order_type": "limit",
        "editable": true,
        "units": {
          "value": null
        },
        "price": {
          "type": "last",
          "value": "0.11731",
          "percent": null
        },
        "volume": "100.0",
        "total": null,
        "trailing": {
          "enabled": false,
          "percent": null
        },
        "status": {
          "type": "idle",
          "basic_type": "idle",
          "title": "Pending"
        },
        "data": {
          "cancelable": true,
          "panic_sell_available": false
        },
        "position": 1
      }
    ]
  },
  "stop_loss": {
    "enabled": true,
    "price_type": "value",
    "breakeven": false,
    "order_type": "market",
    "editable": true,
    "price": {
      "value": null,
      "percent": null
    },
    "conditional": {
      "price": {
        "value": "0.1013",
        "type": "last",
        "percent": null
      },
      "trailing": {
        "enabled": false,
        "percent": null
      }
    },
    "timeout": {
      "enabled": false,
      "value": null
    },
    "status": {
      "type": "idle",
      "basic_type": "idle",
      "title": "Pending"
    }
  },
  "reduce_funds": {
    "steps": []
  },
  "market_close": {},
  "note": "You can leave an important note to an existing SmartTrade. The note should not contain more than 300 characters. It allows the user to leave a note of any nature on SmartTrade.",
  "note_raw": "You can leave an important note to an existing SmartTrade. The note should not contain more than 300 characters. It allows the user to leave a note of any nature on SmartTrade.",
  "skip_enter_step": false,
  "data": {
    "editable": true,
    "current_price": {
      "bid": "0.10713",
      "ask": "0.10726",
      "last": "0.10726",
      "quote_volume": "212795.59182",
      "day_change_percent": "1.861"
    },
    "target_price_type": "price",
    "orderbook_price_currency": "USDT",
    "base_order_finished": true,
    "missing_funds_to_close": "0.0",
    "liquidation_price": null,
    "average_enter_price": null,
    "average_close_price": null,
    "average_enter_price_without_commission": null,
    "average_close_price_without_commission": null,
    "panic_sell_available": false,
    "add_funds_available": true,
    "reduce_funds_available": false,
    "force_start_available": true,
    "force_process_available": true,
    "cancel_available": true,
    "finished": false,
    "base_position_step_finished": false,
    "entered_amount": "0.0",
    "entered_total": "0.0",
    "closed_amount": "0.0",
    "closed_total": "0.0",
    "commission": 0.001,
    "created_at": "2024-08-12T16:24:38.360Z",
    "updated_at": "2024-08-12T16:37:11.480Z",
    "type": "smart_trade"
  },
  "profit": {
    "volume": null,
    "usd": null,
    "percent": "0.0",
    "roe": null
  },
  "margin": {
    "amount": null,
    "total": null
  },
  "is_position_not_filled": true
}